routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
|run cmd
|php artisan make:auth
|php artisan migrate
|php artisan db:seed --class=PermissionTableSeeder
|php artisan db:seed --class=CreateAdminUserSeeder
|
|
*/
// Route test
// Route::get('/', function () {
//     return view('layouts.frontend');
// });

Route::get('/', 'FrontEndController@home');
Route::get('/sport','FrontEndController@sport');
Route::get('/sport-detail','FrontEndController@sportDetail');
Route::get('/technology','FrontEndController@technology');
Route::get('/technology-detail','FrontEndController@technologyDetail');
Route::get('/life','FrontEndController@life');
Route::get('/life-detail','FrontEndController@lifeDetail');
Route::get('/healthy-life','FrontEndController@healthyLife');
Route::get('/healthy-life-detail','FrontEndController@healthyLifeDetail');
Route::get('/entertainment','FrontEndController@entertainment');
Route::get('/entertainment-detail','FrontEndController@entertainmentDetail');
Route::get('/hang-out','FrontEndController@hangOut');
Route::get('/hang-out-detail','FrontEndController@hangOutDetail');

Route::get('/about', 'FrontEndController@about');
Route::get('/contact', 'FrontEndController@contact');

Auth::routes([
    'register' => false,
    'reset' => false,
    'verify' => false,
  ]);

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['middleware' => ['auth']], function() {    

    Route::resource('article', 'ArticleController');
    Route::post('article/status/{id}', 'ArticleController@status');
    Route::resource('articletype', 'ArticleTypeController');
    Route::post('articletype/status/{id}', 'ArticleTypeController@status');
    Route::resource('user','UserController');
    Route::resource('role' , 'RoleController');

    // Configuration
    Route::get('configuration', 'ConfigurationController@index');

     //Clear route cache:
    Route::get('/clear-route-cache', function() {
        $exitCode = Artisan::call('route:cache');
        return back()->with('success','You has been clearred route successfully');
    });

    //Clear config cache:
    Route::get('/clear-cache-config', function() {
        $exitCode = Artisan::call('config:cache');
        return back()->with('success','You has been clearred config successfully');
    }); 

    // Clear application cache:
    Route::get('/clear-cache', function() {
        $exitCode = Artisan::call('cache:clear');
        return back()->with('success','You has been clearred cache successfully');
    });

    // Clear view cache:
    Route::get('/clear-view', function() {
        $exitCode = Artisan::call('view:clear');
        return back()->with('success','You has been clearred view successfully');
    });
});

Route::get('addlog', 'HomeController@addLog');
Route::get('logactivity', 'HomeController@logActivity');

//Multiple role & permission
//https://www.itsolutionstuff.com/post/laravel-58-user-roles-and-permissions-tutorialexample.html

resources/views/backend/articles_type/create.blade.php
@extends('layouts.backend')
@section('content')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-6">
					<h1>Dashboard</h1>
				</div>
				<div class="col-sm-6">
					<ol class="breadcrumb float-sm-right">
						<li class="breadcrumb-item">
							<a href="#">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                        <a href="{{ url('articletype') }}">User</a>
                        </li>
						<li class="breadcrumb-item active">Users List</li>
					</ol>
				</div>
			</div>
		</div>
		<!-- /.container-fluid -->
    </section>
    
	<!-- Main content -->

	<section class="content">
		<div class="container-fluid">
			<div class="row">
				<div class="col-12">				
					<div class="card">
						<div class="card-header">
							<h3 class="card-title">Users List
							<a href="{{ route('articletype.index') }}" class="btn btn-success btn-sm pull-left"><i class="fas fa-list-alt"></i> List</a>
							</h3>
						</div>
						<!-- /.card-header -->
						@if ($message = Session::get('error'))
							<div class="alert alert-danger">
							<p>{{ $message }}</p>
							</div>
						@endif
					<form class="form-horizontal"​​​ action="{{ route('articletype.store') }}" method="POST">
						@csrf
							<div class="card-body">
							  <div class="form-group row">
								<label for="inputEmail3" class="col-sm-2 col-form-label"><i class="text-red">*</i> Code:</label>
								<div class="col-sm-5">
								  <input type="text" class="form-control" name="code" id="inputEmail3" placeholder="AT-01">
								</div>
							  </div>
							  <div class="form-group row">
								<label for="inputPassword3" class="col-sm-2 col-form-label"><i class="text-red">*</i> Article Type:</label>
								<div class="col-sm-5">
								  <input type="text" class="form-control" name="article_type" id="inputPassword3" placeholder="Sport">
								</div>
							  </div>
							  <div class="form-group row">
								<label for="inputPassword3" class="col-sm-2 col-form-label"><i class="text-red">*</i> Description:</label>
								<div class="col-sm-5">
									<textarea class="form-control" rows="3" cols="4" name="description" placeholder="Enter ..."></textarea>
								</div>
							  </div>
							  <div class="form-group row">
								<label for="inputPassword3" class="col-sm-2 col-form-label">Status:</label>
								<div class="col-sm-5">
									<select name="active_status" class="form-control">
										<option value="1">Activated</option>
										<option value="0">Deactivated</option>
									</select>
								</div>
							  </div>
							  
							</div>
							<!-- /.card-body -->
							<div class="card-footer">
									<button type="submit" class="btn btn-info btn-sm col-sm-1"><i class="fas fa-save"></i>  Save</button>
									<button type="reset" class="btn btn-danger btn-sm col-sm-1"><i class="fas fa-trash-restore"></i>  Cancel</button>
								  </div>
							<!-- /.card-footer -->
						  </form>
						<!-- /.card-body -->
					</div>
					<!-- /.card -->                
				</div>
				<!-- /.col -->
			</div>
			<!-- /.row -->
		</div>
	</section>
	<!-- /.content -->
</div>
<!-- /.content-wrapper -->
      
@endsection
@section('js')		
@endsection

resources/views/backend/articles_type/edit.blade.php
@extends('layouts.backend')
@section('content')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-6">
					<h1>Dashboard</h1>
				</div>
				<div class="col-sm-6">
					<ol class="breadcrumb float-sm-right">
						<li class="breadcrumb-item">
							<a href="#">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                        <a href="{{ url('articletype') }}">Article Type</a>
                        </li>
						<li class="breadcrumb-item active">Article Type List</li>
					</ol>
				</div>
			</div>
		</div>
		<!-- /.container-fluid -->
    </section>
    
	<!-- Main content -->

	<section class="content">
		<div class="container-fluid">
			<div class="row">
				<div class="col-12">				
					<div class="card card-outline card-dark">
							<div class="card-header">
							  <h3 class="card-title">
								Article Type
								<small>Edit</small>
							  </h3>
							  <!-- tools box -->
							  <div class="card-tools">
								<a href="{{ route('articletype.index') }}" class="btn btn-sm btn-primary" >
								  <i class="fas fa-list"></i> List</a>                
							  </div>
							  <!-- /. tools -->
							</div>
							<!-- /.card-header -->
							<div class="card-body pad">
					<form class="form-horizontal"​​​ action="{{ route('articletype.update', $articleTypes->id) }}" method="POST" enctype="multipart/form-data">
							@csrf
							@method('PUT')
							<div class="card-body">
							  <div class="form-group row">
								<label for="inputEmail3" class="col-sm-2 col-form-label">Code:</label>
								<div class="col-sm-5">
								<input type="text" class="form-control" name="code" id="inputEmail3" value="{{ $articleTypes->code}}">
								</div>
							  </div>
							  <div class="form-group row">
								<label for="inputPassword3" class="col-sm-2 col-form-label">Article Type:</label>
								<div class="col-sm-5">
								  <input type="text" class="form-control" name="article_type" id="inputPassword3" value="{{ $articleTypes->article_type}}">
								</div>
							  </div>
							  <div class="form-group row">
								<label for="inputPassword3" class="col-sm-2 col-form-label">Description:</label>
								<div class="col-sm-5">
									<textarea class="form-control" rows="3" cols="4" name="description">{{ $articleTypes->description}}</textarea>
								</div>
							  </div>
							  <div class="form-group row">
								<label for="inputPassword3" class="col-sm-2 col-form-label">Status:</label>
								<div class="col-sm-5">
									<select name="active_status" class="form-control">
										<option value="1">Activated</option>
										<option value="0">Deactivated</option>
									</select>
								</div>
							  </div>
							  
							</div>
							<!-- /.card-body -->
							<div class="card-footer">
							  <button type="submit" class="btn btn-info btn-sm col-sm-1"><i class="fas fa-save"></i>  Save</button>
							  <button type="reset" class="btn btn-danger btn-sm col-sm-1"><i class="fas fa-trash-restore"></i>  Cancel</button>
							</div>
							<!-- /.card-footer -->
						  </form>
						</div>
					</div>
				  </div>
				  <!-- /.col-->
				</div>
		  
			  </section>
			  <!-- /.content -->
		  </div>
      
@endsection
@section('js')		
@endsection

resources/views/backend/articles_type/index.blade.php
@extends('layouts.backend')
@section('content')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-6">
					<h1>Dashboard</h1>
				</div>
				<div class="col-sm-6">
					<ol class="breadcrumb float-sm-right">
						<li class="breadcrumb-item">
							<a href="#">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                        <a href="#">Articles type</a>
                        </li>
						<li class="breadcrumb-item active">Articles Type List</li>
					</ol>
				</div>
			</div>
		</div>
		<!-- /.container-fluid -->
	</section>
	
    
	<!-- Main content -->
	<section class="content">
		{{--  --}}
<div class="row">
        <div class="col-md-12">
				@if ($message = Session::get('success'))
				<div class="alert alert-success">
				<p>{{ $message }}</p>
				</div>
			@endif
          <div class="card card-outline card-dark">
            <div class="card-header">
              <h3 class="card-title">
                Article Type
                <small>List</small>
              </h3>
              <!-- tools box -->
              <div class="card-tools">
                <a href="{{ route('articletype.create') }}" class="btn btn-sm btn-primary" >
                  <i class="fas fa-plus-circle"></i> Create New</a>                
              </div>
              <!-- /. tools -->
            </div>
            <!-- /.card-header -->
            <div class="card-body pad">
					<table id="example1" class="table table-bordered table-striped dataTable">
							<thead>
								<tr>
									<th>No</th>
									<th>Article Type</th>
									<th>Description</th>
                                    <th style="width: 27%;"></th>
								</tr>
							</thead>
							<tbody>	
                            @foreach ($articleTypes as $key => $articleType)
							<tr>
									<td>{{ ++$key }}</td>
									<td>{{ $articleType->article_type }}</td>
									<td>{{ $articleType->description }}</td>
                                    <td>
											<form action="{{ url('articletype/status',$articleType->id) }}" method="post" style="display:inline">
													@csrf
													@if($articleType->active_status == 1)
														<input type="hidden" name="status" value="0">
													<button type="submit" class="btn btn-danger btn-sm"><i class="fas fa-toggle-off"></i> Deactivated</button>
													@else
														<input type="hidden" name="status" value="1">
													<button type="submit" class="btn btn-success btn-sm"><i class="fas fa-toggle-on"></i> Activated</button>
													@endif
													
												</form>
										<a href="{{ route('articletype.show',$articleType->id) }}" class="btn btn-primary btn-sm"><i class="fas fa-folder"></i> Show</a>
										<a href="{{ route('articletype.edit',$articleType->id) }}" class="btn btn-warning btn-sm"><i class="fas fa-pencil-alt"></i> Edit</a>										
									</td>
								</tr>
							@endforeach
                            </tbody>
                        </table>    
            </div>
          </div>
        </div>
        <!-- /.col-->
      </div>

	</section>
	<!-- /.content -->
</div>
<!-- /.content-wrapper -->
      
@endsection
@section('js')			
<script type="text/javascript">
$(function () {
    $('#example1').DataTable({
        "paging": true,
        "lengthChange": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": true,
        "fixedHeader": {
            "header": true,
            "headerOffset": $('#header').height()
        },
        "oLanguage": {
            "sSearch": "Filter results:"
        },
        "responsive": false,
        "select": true,
        "destroy": true,
    });
  });
</script>
@endsection

resources/views/backend/articles_type/show.blade.php
@extends('layouts.backend')
@section('content')

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
	<!-- Content Header (Page header) -->
	<section class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
				<div class="col-sm-6">
					<h1>Dashboard</h1>
				</div>
				<div class="col-sm-6">
					<ol class="breadcrumb float-sm-right">
						<li class="breadcrumb-item">
							<a href="#">Home</a>
                        </li>
                        <li class="breadcrumb-item">
                        <a href="{{ url('users') }}">User</a>
                        </li>
						<li class="breadcrumb-item active">Users List</li>
					</ol>
				</div>
			</div>
		</div>
		<!-- /.container-fluid -->
    </section>
    
	<!-- Main content -->

	<section class="content">
		<div class="container-fluid">
			<div class="row">
				<div class="col-12">				
					<div class="card">
						<div class="card-header">
							<h3 class="card-title">Users List
							<a href="{{ route('users.create') }}" class="btn btn-success btn-sm pull-left"><i class="fas fa-plus"></i> Create New user</a>
							</h3>
						</div>
						<!-- /.card-header -->
						<div class="card-body">
								@if (count($errors) > 0)
								<div class="alert alert-danger">
									<strong>Whoops!</strong> There were some problems with your input.<br><br>
									<ul>
									@foreach ($errors->all() as $error)
										<li>{{ $error }}</li>
									@endforeach
									</ul>
								</div>
								@endif
                                <div class="row">
                                        <div class="col-xs-12 col-sm-12 col-md-12">
                                            <div class="form-group">
                                                <strong>Name:</strong>
                                                {{ $user->username }}
                                            </div>
                                        </div>
                                        <div class="col-xs-12 col-sm-12 col-md-12">
                                            <div class="form-group">
                                                <strong>Email:</strong>
                                                {{ $user->email }}
                                            </div>
                                        </div>
                                        <div class="col-xs-12 col-sm-12 col-md-12">
                                            <div class="form-group">
                                                <strong>Roles:</strong>
                                                @if(!empty($user->getRoleNames()))
                                                    @foreach($user->getRoleNames() as $v)
                                                        {{ $v }}
                                                    @endforeach
                                                @endif
                                            </div>
                                        </div>
                                    </div>


		
						</div>
						<!-- /.card-body -->
					</div>
					<!-- /.card -->                
				</div>
				<!-- /.col -->
			</div>
			<!-- /.row -->
		</div>
	</section>
	<!-- /.content -->
</div>
<!-- /.content-wrapper -->
      
@endsection
@section('js')		
@endsection